commit: 0982926a7da0d6986e41bedce1fa5f02244b9529
Author: Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 28 08:13:35 2015 +0000
Commit: Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Mon Dec 28 08:13:35 2015 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=0982926a
virtual/blas: Update deps, Drop unsupported ABIs
Package-Manager: portage-2.2.26
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>
virtual/blas/blas-2.1-r5.ebuild | 55 +++++++++++++++++++++++++++++++++++++++++
1 file changed, 55 insertions(+)
diff --git a/virtual/blas/blas-2.1-r5.ebuild b/virtual/blas/blas-2.1-r5.ebuild
new file mode 100644
index 0000000..6f3a2c4
--- /dev/null
+++ b/virtual/blas/blas-2.1-r5.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+MULTILIB_COMPAT=( abi_x86_{32,64} )
+
+inherit multilib-build multilib
+
+DESCRIPTION="Virtual for FORTRAN 77 BLAS implementation"
+HOMEPAGE=""
+SRC_URI=""
+
+LICENSE=""
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc int64"
+
+RDEPEND="
+ !app-eselect/eselect-blas
+ || (
+ sci-libs/blas-reference[int64?,${MULTILIB_USEDEP}]
+ >=sci-libs/openblas-0.2.11[int64?,${MULTILIB_USEDEP}]
+ sci-libs/gotoblas2[int64?,${MULTILIB_USEDEP}]
+ sci-libs/mkl[int64?,${MULTILIB_USEDEP}]
+ abi_x86_64? (
+ !abi_x86_32? (
+ >=dev-cpp/eigen-3.1.4
+ sci-libs/atlas[fortran]
+ >=sci-libs/acml-4.4
+ )
+ )
+ )
+ doc? ( >=app-doc/blas-docs-3.2 )
+ int64? (
+ || (
+ sci-libs/blas-reference[int64,${MULTILIB_USEDEP}]
+ >=sci-libs/openblas-0.2.11[int64,${MULTILIB_USEDEP}]
+ sci-libs/gotoblas2[int64,${MULTILIB_USEDEP}]
+ sci-libs/mkl[int64,${MULTILIB_USEDEP}]
+ )
+ )
+"
+DEPEND=""
+
+pkg_pretend() {
+ if [[ -e "${EROOT%/}"/usr/$(get_libdir)/lib${PN}.so ]]; then
+ ewarn "You have still the old ${PN} library symlink present"
+ ewarn "Please delete"
+ ewarn "${EROOT%/}/usr/$(get_libdir)/lib${PN}.so"
+ ewarn "to avoid problems with new ${PN} structure"
+ die "Old lib${PN} detected"
+ fi
+}